import { get } from '#/api/http'

import { BasicService } from '../basic'

class KnowledgeService extends BasicService {
  async list(stageId: any, subjectId: any) {
    return await get('/subjectKnowledge/treeNode', { stageId, subjectId })
  }

  async tree(courseId: any) {
    return await get('/mjknowledge/tree', { courseId })
  }

  protected findPageUrl(): string {
    return '/mjknowledge/listAll'
  }

  protected removeUrl(): string {
    return ''
  }

  protected saveOrUpdateUrl(): string {
    return ''
  }
}

export const knowledgeService = new KnowledgeService()
